hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HADOOP-6360) Eclipse Plugin does not build for Hadoop 0.20.1
Date Wed, 18 Nov 2009 21:10:40 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-6360?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12779667#action_12779667
] 

Hadoop QA commented on HADOOP-6360:
-----------------------------------

-1 overall.  Here are the results of testing the latest attachment 
  http://issues.apache.org/jira/secure/attachment/12425381/hadoop-0.20.1-eclipse-plugin.jar
  against trunk revision 881509.

    +1 @author.  The patch does not contain any @author tags.

    -1 tests included.  The patch doesn't appear to include any new or modified tests.
                        Please justify why no new tests are needed for this patch.
                        Also please list what manual steps were performed to verify this patch.

    -1 patch.  The patch command could not apply the patch.

Console output: http://hudson.zones.apache.org/hudson/job/Hadoop-Patch-h4.grid.sp2.yahoo.net/143/console

This message is automatically generated.

> Eclipse Plugin does not build for Hadoop 0.20.1
> -----------------------------------------------
>
>                 Key: HADOOP-6360
>                 URL: https://issues.apache.org/jira/browse/HADOOP-6360
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: contrib/eclipse-plugin
>    Affects Versions: 0.20.1
>         Environment: SLES 10, Mac OS/X 10.5.8
>            Reporter: Stephen Watt
>         Attachments: 6360.patch, hadoop-0.20.1-eclipse-plugin.jar
>
>
> When trying to run the build script for the Eclipse Plugin in src/contrib/eclipse-plugin
there are several errors a user receives. The first error is that the eclipse.home is not
set. This is easily remedied by adding a value for eclipse.home in the build.properties file
in the eclipse-plugin directory.
> The script then states it cannot compile org.apache.hadoop.eclipse.launch.HadoopApplicationLaunchShortcut
because it cannot resolve JavaApplicationLaunchShortcut on line 35:
>       import org.eclipse.jdt.internal.debug.ui.launcher.JavaApplicationLaunchShortcut;
> and fails
> I believe this is because there is no jar in the eclipse.home/plugins that has this class
in that package. I did however find it in org.eclipse.jdt.debug.ui.launchConfigurations.JavaApplicationLaunchShortcut
which was inside in org.eclipse.jdt.debug.ui_3.4.1.v20090811_r351.jar in the plugins dir of
Eclipse 3.5
> Changing the import in the class in the source to the latter allows the build to complete
successfully. The M/R Perspective opens and works on my SLES 10 Linux environment but not
on my Macbook Pro. Both are running Eclipse 3.5.
> To users wanting to do the same, I built this inside Eclipse. To do that I added org.eclipse.jdt.debug.ui_3.4.1.v20090811_r351.jar
and hadoop-0.20.1-core.jar to the ant runtime configuration classpath. I also had to set the
version value=0.20.1 in the build.properties. You will also need to copy hadoop-0.20.1-core.jar
to hadoop.home/build and commons-cli-1.2.jar to hadoop.home/build/ivy/lib/Hadoop/common.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message